Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.faces
Class Navigator

    java.lang.Object
      org.jboss.seam.faces.Navigator

Direct Known Subclasses:
  ExceptionHandler, NavigationHandler

    public abstract class Navigator

extends Object

Constructor Summary
`Navigator()`

Method Summary
`protected static void` | `addFacesMessage(String message, javax.faces.application.FacesMessage.Severity severity, String control, Object... params)`
`protected void` | `error(int code, String message)` Send an error.
`protected static String` | `getDisplayMessage(Exception e, String message)`
`protected void` | `redirect(String viewId, Map<String,Object> parameters)` Redirect to the view id.
`protected void` | `render(String viewId)` Render the view id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator

    public Navigator()

Method Detail

### error

    protected void error(int code,
                         String message)

  Send an error.

### redirect

    protected void redirect(String viewId,
                            Map<String,Object> parameters)

  Redirect to the view id.

### render

    protected void render(String viewId)

  Render the view id.

### getDisplayMessage

    protected static String getDisplayMessage(Exception e,
                                              String message)

### addFacesMessage

    protected static void addFacesMessage(String message,
                                          javax.faces.application.FacesMessage.Severity severity,
                                          String control,
                                          Object... params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD